%define anolis_release 1
Name:           libbsd
Version:        0.11.7
Release:        %{anolis_release}%{?dist}
Summary:        Library providing BSD-compatible functions for portability
URL:            https://libbsd.freedesktop.org/
License:        Beerware AND BSD-2-Clause AND BSD-3-Clause AND BSD-4-Clause AND BSD-5-clause AND Expat AND ISC AND Public-Domain

Source0:        https://libbsd.freedesktop.org/releases/libbsd-%{version}.tar.xz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  gnupg2
BuildRequires:  libmd-devel
BuildRequires:  libtool
BuildRequires:  make

%description
libbsd provides useful functions commonly found on BSD systems, and
lacking on others like GNU systems, thus making it easier to port
projects with strong BSD origins, without needing to embed the same
code over and over again on each project.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary:        Development files for libbsd
Requires:       %{name} = %{version}-%{release}
Requires:       libmd-devel

%description devel
Development files for the libbsd library.

%package ctor-static
Summary:        Development files for libbsd
Requires:       %{name} = %{version}-%{release}

%description ctor-static
The libbsd-ctor static library is required if setproctitle() is to be used
when libbsd is loaded via dlopen() from a threaded program.  This can be
configured using "pkg-config --libs libbsd-ctor".
# See the libbsd mailing list message by Guillem Jover on Jul 14 2013:
#     http://lists.freedesktop.org/archives/libbsd/2013-July/000091.html

%prep
%setup -q

%build
%configure
%make_build V=1

%check
%make_build check V=1

%install
%make_install V=1

# don't want static library or libtool archive
rm %{buildroot}%{_libdir}/%{name}.a

# remove manual pages that conflict with man-pages package
rm %{buildroot}%{_mandir}/man3/explicit_bzero.3bsd

%generate_compatibility_deps

%files
%dir %{abidir}
%license COPYING
%{_libdir}/%{name}.so.*
%{abidir}/%{name}.dump

%files doc
%doc README TODO ChangeLog

%files devel
%{_mandir}/man3/*.3bsd.*
%{_mandir}/man7/%{name}.7.*
%{_includedir}/bsd
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}-overlay.pc

%files ctor-static
%{_libdir}/%{name}-ctor.a
%{_libdir}/pkgconfig/%{name}-ctor.pc

%changelog
* Mon Jan 09 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 0.11.7-1
- Init for Anolis OS 23
